Package com.massivecraft.factions.util

## Enum WarmUpUtil.Warmup

- java.lang.Object
- - java.lang.Enum<WarmUpUtil.Warmup>
  - - com.massivecraft.factions.util.WarmUpUtil.Warmup

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WarmUpUtil.Warmup>`, `java.lang.constant.Constable`

Enclosing class:
  WarmUpUtil

    public static enum WarmUpUtil.Warmup
    extends java.lang.Enum<WarmUpUtil.Warmup>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`BANNER` |
`CHECKPOINT` |
`FLIGHT` |
`HOME` |
`WARP` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static WarmUpUtil.Warmup` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static WarmUpUtil.Warmup[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HOME

    public static final WarmUpUtil.Warmup HOME

#### WARP

    public static final WarmUpUtil.Warmup WARP

#### FLIGHT

    public static final WarmUpUtil.Warmup FLIGHT

#### BANNER

    public static final WarmUpUtil.Warmup BANNER

#### CHECKPOINT

    public static final WarmUpUtil.Warmup CHECKPOINT

### Method Detail

#### values

    public static WarmUpUtil.Warmup[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WarmUpUtil.Warmup valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null